org.crosswire.bibledesktop.passage

## Class KeyTreeModel

- java.lang.Object
- - javax.swing.tree.DefaultTreeModel
  - - org.crosswire.bibledesktop.passage.KeyTreeModel

- All Implemented Interfaces:
    Serializable, TreeModel

      public class KeyTreeModel
      extends DefaultTreeModel

  A TreeModel that helps with working with Keys.
  Author:
    Joe Walker
  See Also:
    `for license details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.crosswire.jsword.passage.Key` | `key` The key that this tree is displaying.
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class javax.swing.tree.DefaultTreeModel

      `asksAllowsChildren, listenerList, root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyTreeModel(org.crosswire.jsword.passage.Key key)` Simple ctor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.crosswire.jsword.passage.Key` | `getKey()` What key is this tree editing
    `void` | `setKey(org.crosswire.jsword.passage.Key key)` Sets the key is this tree editing

    - ### Methods inherited from class javax.swing.tree.DefaultTreeModel

      `addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          private org.crosswire.jsword.passage.Key key

      The key that this tree is displaying.

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyTreeModel

          public KeyTreeModel(org.crosswire.jsword.passage.Key key)

      Simple ctor
      Parameters:
        `key` - The root TreeNode

  - ### Method Detail

    - #### getKey

          public org.crosswire.jsword.passage.Key getKey()

      What key is this tree editing
      Returns:
        Returns the key.

    - #### setKey

          public void setKey(org.crosswire.jsword.passage.Key key)

      Sets the key is this tree editing